## org.apache.fop.svg
Class Animate.Maker

    java.lang.Object
      |
      +--org.apache.fop.fo.FObj.Maker
            |
            +--org.apache.fop.svg.Animate.Maker

Enclosing class:
  Animate

public static class Animate.Maker
extends FObj.Maker

inner class for making Animate objects.

Constructor Summary
`Animate.Maker()`

Method Summary
`FObj` `make(FObj parent, PropertyList propertyList)` make a Animate object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Animate.Maker

    public Animate.Maker()

Method Detail

### make

    public FObj make(FObj parent,
                     PropertyList propertyList)
              throws FOPException

  make a Animate object.
  Overrides:
    make in class FObj.Maker
  Parameters:
    `parent` - the parent formatting object
    `propertyList` - the explicit properties of this object
  Returns:
    the Animate object

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.